#!/bin/bash
# 自动备份时使用以下命令,需要root权限
# /bin/bash  /srv/dev-disk-by-label-hd2/docker/gitea/backup.sh

backup_path="/sharedfolders/git/gitea"
backup_filename=$(date "+gitea-backup-%Y%m%d%H%M%S.tgz")

# if sudo -n uptime 2>&1 | grep -q "load"; then
#   echo "请用root权限运行"
#   exit 1
# fi

cd $(dirname ${BASH_SOURCE:-$0})

cid=$(docker-compose ps -q gitea)
if [ ${#cid} -gt 0 ]; then
  docker-compose down
fi

cd data
echo "备份到  ${backup_path}/${backup_filename} ..."
sudo tar -zcpf ${backup_path}/${backup_filename} gitea
sudo chown git:users ${backup_path} -R
echo "备份完毕."

echo "启动 Gitea ..."
cd $(dirname ${BASH_SOURCE:-$0})
docker-compose up -d